
BaseBehaviorStack
{
	Type		BehaviorStack

}

//
// Generic behaviors
//

BehaviorStackSimpleRangedOnly
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	Approach
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackNpc
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Approach
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	AttackPlanet
	Behavior	Colonize
	Behavior	Deliver
	Behavior	Scout
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackNpcNoMove
{
	Base		BaseBehaviorStack

	Behavior	UseSkill
	Behavior	Idle
	Behavior	Sleep
}

//
// Monster specific
//

BehaviorStackTalonKillFeeder
{
	Base		BaseBehaviorStack

	Behavior	EatCorpse
	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	Approach
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackOverlordKillFeeder
{
	Base		BaseBehaviorStack

	Behavior	EatCorpse
	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	Approach
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}












// Generic behaviors

BehaviorStackSimpleMelee
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackMeleeWithSkills
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSimpleRangedOnly
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	Approach
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackHitAndRun
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	UseSkill
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSimpleUseSkill
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	UseSkill
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	Idle
	Behavior	Sleep
}

// Monster specific

BehaviorStackScavenger
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	EatCorpse
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackNecro
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	RaiseDead
	Behavior	UseSkill
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackDimensionalGate
{
	Base		BaseBehaviorStack

	Behavior	EatCorpse
	Behavior	UseSkill
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSpider
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
	Behavior	Retreat
	Behavior	UseSkill
	Behavior	Jump
	Behavior	Melee
	Behavior	FollowLeader
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

//
// Anything below this isn't being used yet
//








// Generic behaviors


BehaviorStackCursedTotem
{
	Base		BaseBehaviorStack

	Behavior	UseSkill
	Behavior	Idle
	Behavior	Sleep
}





// NPC specific

BehaviorStackNpcPriest
{
	Base		BaseBehaviorStack

	Behavior	TeleportToLeader
//	Behavior	TeleportRaid
	Behavior	UseSkill
	Behavior	Pray
	Behavior	Melee
	Behavior	FollowLeader
//	Behavior	LifestoneRegen
	Behavior	AvoidLeader
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackNpcEscort
{
	Base		BaseBehaviorStack

	Behavior	FollowLeader
	Behavior	UseObject
	Behavior	UseSkill
	Behavior	Melee
	Behavior	AvoidLeader
	Behavior	Sleep
}

// Monster specific


BehaviorStackLurker
{
	Base		BaseBehaviorStack

	Behavior	Retreat
	Behavior	UseSkill
	Behavior	Melee
	Behavior	Adventure
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}





BehaviorStackMeleeAndRanged
{
	Base		BaseBehaviorStack

	Behavior	Approach
	Behavior	Ranged
	Behavior	Melee
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSuicide
{
	Base		BaseBehaviorStack


	Behavior	Suicide
	Behavior	Approach
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSuicideAndRanged
{
	Base		BaseBehaviorStack


	Behavior	Suicide
	Behavior	Approach
	Behavior	Ranged
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackTeleportRanged
{
	Base		BaseBehaviorStack

	Behavior	Teleport
	Behavior	Approach
	Behavior	Ranged
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackSpawner
{
	Base		BaseBehaviorStack

	Behavior	Spawner
	Behavior	Melee
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackCorpseDestroyer
{
	Base		BaseBehaviorStack

	Behavior	DestroyCorpse
	Behavior	Melee
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}

BehaviorStackCoward
{
	Base		BaseBehaviorStack

	Behavior	Retreat
	Behavior	Melee
	Behavior	ReturnHome
	Behavior	Idle
	Behavior	Sleep
}
