
TrapBase
{
	Type		Trap

	BaseOnly	1

	SpawnChance	1.0
	MinLevel	1
	MaxLevel	150

	TriggerChance	1.0

	TriggerSound	Sounds/Traps/TrapTriggered.ogg
	AlarmSound	Sounds/Traps/alarm.snd
//	DisarmSound	Sounds/Traps/disarm.ogg

	ShortDelayMin	0.25
	ShortDelayMax	2.0

	LongDelayMin	5.0
	LongDelayMax	20.0

	GroundTrapDelayMult	0.2

	DudChance	0.0
	LongDelayChance	0.0

	AlarmChance	0.2
	AlarmRange	750.0

	ThinkTime	0.25

//	ModelName	Models/Objects/trapDungeon.mdl
	MaxTouchTime	0.2

	TriggerDistance	150.0

	ObjectType	Trap

	HideWhenOutOfSight	1
	CanBeDisarmed	1

	Alpha		1.0
}

TrapGroundExplosion
{
	Base		TrapBase

	Skill		SkillTrapExplosion

	ModelName	Models/Traps/trapGroundExplosion.mdl

	AddAdditionalChance		0.5
	AddAdditionalMinDistance	50.0
	AddAdditionalMaxDistance	100.0

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundEmp
{
	Base		TrapBase

	Skill		SkillTrapEmp

	ModelName	Models/Traps/trapGroundEmp.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundGrenade
{
	Base		TrapBase

	Skill		SkillTrapGrenade

	ModelName	Models/Traps/trapGroundGrenade.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundRadiation
{
	Base		TrapBase

	Skill		SkillTrapRadiation

	ModelName	Models/Traps/trapGroundRadiation.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundBallLightning
{
	Base		TrapBase

	Skill		SkillTrapBallLightning

	ModelName	Models/Traps/trapGroundBallLightning.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundTeleporterLong
{
	Base		TrapBase

	Skill		SkillTrapTeleporterLong

	ModelName	Models/Traps/trapGroundTeleporter.mdl

	TrapSound	Sounds/Objects/teleport.wav
	TrapPrint	UnstableWormholeTeleportLong

	MinLevel	10

	NotAllowedOnObjects	1

	MaxVictimRange	200.0
}

TrapGroundTeleporterShort
{
	Base		TrapBase

	Skill		SkillTrapTeleporterShort

	ModelName	Models/Traps/trapGroundTeleporter.mdl

	TrapSound	Sounds/Objects/teleport.wav
	TrapPrint	UnstableWormholeTeleportShort

	MinLevel	5
}

TrapGroundEnergyNet
{
	Base		TrapBase

	Skill		SkillTrapEnergyNet

	ModelName	Models/Traps/trapGroundEnergyNet.mdl
	NoShadow	1

	TrapSound	Sounds/Objects/EnergyNetTriggered.wav
	TrapEffect	Models/Effects/trapEnergyNetExplosion.mdl

	AddAdditionalChance		0.5
	AddAdditionalMinDistance	50.0
	AddAdditionalMaxDistance	100.0

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundAlarm
{
	Base		TrapBase

	AlarmChance	1.0
	AlarmRange	1250.0

	TriggerDistance	300.0

	ModelName	Models/Traps/trapGroundAlarm.mdl
	TrapEffect	Models/Effects/trapAlertHit.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundPowerDrain
{
	Base		TrapBase

	Skill		SkillTrapPowerDrain

	ModelName	Models/Traps/trapGroundPowerDrain.mdl
	NoShadow	1

//	TrapSound	Sounds/Player/caltrops.wav
	TrapEffect	Models/Effects/trapPowerDrainExplosion.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundEnergyDrain
{
	Base		TrapBase

	Skill		SkillTrapEnergyDrain

	ModelName	Models/Traps/trapGroundEnergyDrain.mdl
	NoShadow	1

//	TrapSound	Sounds/Player/caltrops.wav
	TrapEffect	Models/Effects/trapEnergyDrainExplosion.mdl

	RandomYawRotation	1
	MinRandomYawRotation	5
	MaxRandomYawRotation	10

	RandomPitchRotation	1
	MinRandomPitchRotation	10
	MaxRandomPitchRotation	20

	RandomRollRotation	1
	MinRandomRollRotation	30
	MaxRandomRollRotation	50
}

TrapGroundSpawn
{
	Base		TrapBase

	Skill		SkillTrapGateGroup

	TriggerDistance	72.0

//	TrapSound	Sounds/Traps/ambush.ogg
	TrapEffect	Models/Effects/ambush.mdl
	TrapPrint	QuestAnnounceAmbush
}

//
// Tracking traps
//

TrapGroundExplosionTracking
{
	Base		TrapGroundExplosion

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundEmpTracking
{
	Base		TrapGroundEmp

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundGrenadeTracking
{
	Base		TrapGroundGrenade

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundRadiationTracking
{
	Base		TrapGroundRadiation

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundEnergyNetTracking
{
	Base		TrapGroundEnergyNet

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundPowerDrainTracking
{
	Base		TrapGroundPowerDrain

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

TrapGroundEnergyDrainTracking
{
	Base		TrapGroundEnergyDrain

	SpawnChance	0.25

	MoveSpeed	20.0
	MoveDistance	600.0

	RandomPitchRotation	0
	RandomRollRotation	0

	MinLevel	10
}

//
// Cloaking traps
//

TrapGroundExplosionCloaked
{
	Base		TrapGroundExplosion

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundExplosionCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundEmpCloaked
{
	Base		TrapGroundEmp

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundEmpCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundGrenadeCloaked
{
	Base		TrapGroundGrenade

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundGrenadeCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundRadiationCloaked
{
	Base		TrapGroundRadiation

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundRadiationCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundEnergyNetCloaked
{
	Base		TrapGroundEnergyNet

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundEnergyNetCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundPowerDrainCloaked
{
	Base		TrapGroundPowerDrain

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundPowerDrainCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

TrapGroundEnergyDrainCloaked
{
	Base		TrapGroundEnergyDrain

	SpawnChance	0.25

	ModelName	Models/Traps/trapGroundEnergyDrainCloaked.mdl

	MinLevel	20

	Alpha		0.15
}

//
// Cloaking & tracking traps
//

TrapGroundExplosionCloakedTracking
{
	Base		TrapGroundExplosionCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundEmpCloakedTracking
{
	Base		TrapGroundEmpCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundGrenadeCloakedTracking
{
	Base		TrapGroundGrenadeCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundRadiationCloakedTracking
{
	Base		TrapGroundRadiationCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundEnergyNetCloakedTracking
{
	Base		TrapGroundEnergyNetCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundPowerDrainCloakedTracking
{
	Base		TrapGroundPowerDrainCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundEnergyDrainCloakedTracking
{
	Base		TrapGroundEnergyDrainCloaked

	SpawnChance	0.1

	MoveSpeed	20.0
	MoveDistance	600.0

	MinLevel	30
}

TrapGroundExplosionPlain
{
	Base		TrapGroundExplosion

	SpawnChance	0.0
	AddAdditionalChance		0.0
}

TrapGroundEmpPlain
{
	Base		TrapGroundEmp

	SpawnChance	0.0
	AddAdditionalChance		0.0
}

TrapGroundGrenadePlain
{
	Base		TrapGroundGrenade

	SpawnChance	0.0
	AddAdditionalChance		0.0
}

TrapGroundRadiationPlain
{
	Base		TrapGroundRadiation

	SpawnChance	0.0
	AddAdditionalChance		0.0
}

MineField1
{
	Base		TrapGroundExplosionPlain

	// Diamond

	MinLevel	0
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 150.0"
}

MineField2
{
	Base		TrapGroundEmpPlain

	// Small horizontal line

	MinLevel	5
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"-300.0 0.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"300.0 0.0"
}

MineField3
{
	Base		TrapGroundGrenadePlain

	// Medium horizontal line

	MinLevel	10
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-450.0 0.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-300.0 0.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"300.0 0.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"450.0 0.0"
}

MineField4
{
	Base		TrapGroundRadiationPlain

	// Large horizontal line

	MinLevel	20
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-600.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-450.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-300.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"300.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"450.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"600.0 0.0"
}

MineField5
{
	Base		TrapGroundExplosionPlain

	// Small vertical line

	MinLevel	5
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 -300.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 150.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 300.0"
}

MineField6
{
	Base		TrapGroundEmpPlain

	// Medium vertical line

	MinLevel	10
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 -450.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 -300.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 150.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 300.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 450.0"
}

MineField7
{
	Base		TrapGroundGrenadePlain

	// Large vertical line

	MinLevel	20
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 -600.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 -450.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 -300.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 150.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 300.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 450.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"0.0 600.0"
}

MineField8
{
	Base		TrapGroundRadiationPlain

	// Box

	MinLevel	5
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-150.0 -150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"150.0 -150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-150.0 150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"150.0 150.0"
}

MineField9
{
	Base		TrapGroundExplosionPlain

	// n

	MinLevel	20
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"0.0 -300.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"300.0 0.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"450.0 0.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"450.0 -150.0"

	AdditionalSpawn		TrapGroundExplosionPlain
	AdditionalSpawnOffset	"450.0 -300.0"
}

MineField10
{
	Base		TrapGroundEmpPlain

	// T

	MinLevel	0
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundEmpPlain
	AdditionalSpawnOffset	"0.0 -300.0"
}

MineField11
{
	Base		TrapGroundGrenadePlain

	// X

	MinLevel	5
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-150.0 150.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"150.0 150.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-150.0 -150.0"

	AdditionalSpawn		TrapGroundGrenadePlain
	AdditionalSpawnOffset	"-150.0 150.0"
}

MineField12
{
	Base		TrapGroundRadiationPlain

	// L

	MinLevel	10
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 300.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 450.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"300.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"450.0 0.0"
}

MineField13
{
	Base		TrapGroundRadiationPlain

	// 7

	MinLevel	5
	NotAllowedOnObjects	1

	SpawnChance	0.1

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-150.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-300.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"-450.0 0.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 -150.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 -300.0"

	AdditionalSpawn		TrapGroundRadiationPlain
	AdditionalSpawnOffset	"0.0 -450.0"
}

TrapGroundExplosionAntiMatter
{
	Base		TrapGroundExplosion

	SpawnChance	0.0

	Skill		SkillTrapExplosionAntiMatter
}
